com.h3c.of.lib.match

## Class MatchField

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.match.MatchField

- All Implemented Interfaces:
    Structure
  Direct Known Subclasses:
    MFieldBasic, MFieldBasicHeader, MFieldExperimenter, MFieldMinimal

      public abstract class MatchField
      extends OpenflowStructure

  Represents an OXM TLV Match field. This abstract class serves as the base for all match fields.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OxmFieldType` | `getFieldType()` Returns the OXM field type.
    `OxmClass` | `getOxmClass()` Returns the OXM class.
    `int` | `getPayloadLength()` Returns the length of the match field payload in bytes.
    `int` | `getRawFieldType()` Returns the raw (undecoded) OXM field type value (u7).
    `int` | `getRawOxmClass()` Returns the raw (undecoded) OXM class value (u16).
    `int` | `getRawOxmType()`
    `int` | `getTotalLength()` Returns the total length of the match field structure in bytes.
    `boolean` | `hasMask()` Returns true if the match field payload includes a mask.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, toDebugString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowStructure`

    - #### getRawOxmType

          public int getRawOxmType()

    - #### getRawOxmClass

          public int getRawOxmClass()

      Returns the raw (undecoded) OXM class value (u16).
      Returns:
        the raw OXM class value

    - #### getOxmClass

          public OxmClass getOxmClass()

      Returns the OXM class.
      Returns:
        the OXM class

    - #### getRawFieldType

          public int getRawFieldType()

      Returns the raw (undecoded) OXM field type value (u7).
      Returns:
        the raw OXM field type value

    - #### getFieldType

          public OxmFieldType getFieldType()

      Returns the OXM field type.
      Returns:
        the OXM field type

    - #### hasMask

          public boolean hasMask()

      Returns true if the match field payload includes a mask.
      Returns:
        true if a mask is included

    - #### getPayloadLength

          public int getPayloadLength()

      Returns the length of the match field payload in bytes.
      Returns:
        the length of the payload

    - #### getTotalLength

          public int getTotalLength()

      Returns the total length of the match field structure in bytes.
      Returns:
        the length of the match field

Copyright © 2014. All Rights Reserved.